dnlcsnoop.d(1m)

NAME
dnlcsnoop.d - snoop DNLC activity. Uses DTrace.

SYNOPSIS
dnlcsnoop.d

DESCRIPTION
The DNLC is the Directory Name Lookup Cache. Filename lookups often return a hit from here, before needing to traverse the regular file system cache or go to disk. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

Sample until Ctrl-C is hit then print report,
    # dnlcsnoop.d

FIELDS

PID process ID

CMD command name

TIME
    Elapsed time for lookup, us

HIT DNLC hit Y/N

PATH
    Path for DNLC lookup

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
dnlcsnoop.d will sample until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M)